%global ver_major 0
%global ver_minor 62

Name:           BackupPC-XS
Version:        0.62
Release:        1%{?dist}
Summary:        Implementation of various BackupPC functions in a perl-callable module

License:        GPLv3+ and (GPL+ or Artistic) and zlib
URL:            https://github.com/backuppc/backuppc-xs
Source0:        https://github.com/backuppc/backuppc-xs/archive/v%{ver_major}_%{ver_minor}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  perl perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
# Testing requirement
BuildRequires:  perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Provides:       bundled(zlib) = 1.2.3

%description
BackupPC::XS implements various BackupPC functions in a perl-callable
module.  This module is required for BackupPC V4+.


%prep
%setup -n %{name}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}


%check
make test


%files
%doc Changes README
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/BackupPC::XS.3pm*


%changelog
* Tue Jun 09 2020 Daniel Berteaud <daniel@firewall-services.com> 0.61-1
- Update to 0.61 (daniel@firewall-services.com)

* Thu Jun 04 2020 Daniel Berteaud <daniel@firewall-services.com> 0.60-2
- Update to 0.60 (daniel@firewall-services.com)

* Mon Apr 08 2019 Daniel Berteaud <daniel@firewall-services.com> 0.59-1
- Update to 0.59 (daniel@firewall-services.com)

* Tue Nov 27 2018 Daniel Berteaud <daniel@firewall-services.com> 0.58-1
- Update tito config to match new lib path (daniel@firewall-services.com)
- Update to 0.58 (daniel@firewall-services.com)
- Switch to GitLfsBuilder (daniel@firewall-services.com)

* Mon Dec 04 2017 Daniel Berteaud <daniel@firewall-services.com> 0.57-1
- Add disttag (daniel@firewall-services.com)

* Mon Dec 04 2017 Daniel Berteaud <daniel@firewall-services.com> 0.57-0.beta2
- Use GitAnnexBuilder (daniel@firewall-services.com)

* Mon Dec 04 2017 Daniel Berteaud <daniel@firewall-services.com> 0.57-0.beta1
- new package built with tito

* Wed Jun 14 2017 Daniel Berteaud <daniel@firewall-services.com> - 0.56-1
- Update to latest upstream release

* Fri Mar 24 2017 Richard Shaw <hobbes1069@gmail.com> - 0.53-1
- Update to latest upstream release, 0.53.

* Mon Mar 13 2017 Richard Shaw <hobbes1069@gmail.com> - 0.52-1
- Initial packaging.
